Get matching test cases' id
POST
/testcases/fetchIdsGet id(s) of test case(s) that match the filter criteria
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestCasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestCasesApi(config);
const result = await api.getTestCaseIds({ "fetchIdPayload": { "project": 123 }});console.log(result);curl --request POST \ "https://api.testcollab.io/testcases/fetchIds?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "filterModel": "example", "project": 123}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
filterModel |
string | No | JSON Stringified |
project |
number | Yes | — |
Response
Section titled “Response”200 — Action result
| Field | Type | Required | Description |
|---|---|---|---|
result |
Array of number | Yes | ids list |
{ "result": []}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |